<?php

	$vars      = $wp_query->query_vars;
	$columns   = array_key_exists('columns', $vars) ? $vars['columns'] : 'large-4';
	$format    = get_post_format();
	$permalink = get_the_permalink();
	if ( $format === 'link' ) {
		$permalink = get_post_meta(get_the_ID(), 'post_link', true);
	}
?>
<div class="small-12 medium-6 <?php echo esc_attr($columns); ?> columns">
	<article itemscope itemtype="http://schema.org/Article" <?php post_class('post style10'); ?> role="article">
		<?php if ( has_post_thumbnail() ) { ?>
		<figure class="post-gallery">
			<a href="<?php echo esc_url( $permalink ); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail( 'werkstatt-square-3x' ); ?>
				<div class="post-style10-hover"><div><?php esc_html_e( 'View Article', 'werkstatt' ); ?><?php get_template_part( 'assets/img/portfolio-next-arrow.svg' ); ?></div></div>
			</a>
		</figure>
		<?php } ?>
		<aside class="post-category">
			<?php thb_display_category(); ?>
		</aside>
		<header class="post-title entry-header">
			<?php the_title( '<h4 class="entry-title" itemprop="name headline"><a href="'.esc_url($permalink).'" title="'.the_title_attribute("echo=0").'">', '</a></h4>'); ?>
		</header>
		<aside class="post-meta">
			<?php the_author_posts_link(); ?> <?php esc_html_e( 'on', 'werkstatt' ); ?> <?php echo get_the_date(); ?>
		</aside>
		<?php do_action( 'thb_PostMeta' ); ?>
	</article>
</div>
